Skip to content

UpdateIDMSettings.

PUT
/api/web/namespaces/system/tenant/idm/settings
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/idm/settings \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "basic_configuration": { "display_name": "example" }, "brute_force_detection_settings": { "max_login_failures": 1 }, "password_policy": { "digits": 1, "expire_password": 1, "lowercase_characters": 1, "minimum_length": 1, "not_recently_used": 1, "not_username": true, "special_characters": 1, "uppercase_characters": 1 }, "brute_force_detection": { "max_login_failures": 1 }, "tenant_details": { "display_name": "example" }, "user_session_expiration": { "absolute_timeout": { "hours": { "duration": 1 }, "minutes": { "duration": 1 } }, "idle_timeout": { "hours": { "duration": 1 }, "minutes": { "duration": 1 } } } }'

UpdateIDMSettings allows to adjust IDM settings for tenant, like password policy, brute-force detection policy, etc…

Examples of this operation.

Media typeapplication/json
GlobalSpecType

Shape of the tenant configuration specification.

object
basic_configuration
object
display_name
Display Name

Tenant display name in the login screen.

string
<= 255 characters
brute_force_detection_settings
object
max_login_failures
Max Login Failures

How many failures before wait is triggered. When login failure count is hit, user will be temporarily locked for a max duration of 15 minutes.

integer format: int64
password_policy
object
digits
Digits

The number of digits required to be in the password string.

integer format: int64
expire_password
Expire Password

The number of days for which the password is valid. After the number of days has expired, the user is required to change their password.

integer format: int64
lowercase_characters
Lowercase Characters

The number of lower case letters required to be in the password string.

integer format: int64
minimum_length
Minimum Length

Minimum length of password. Required: YES.

integer format: int64
not_recently_used
Not Recently Used

This policy is used to restrict user from using previously used passwords. Number that’s set determines number of last passwords which user cannot use as new password.

integer format: int64
not_username
Not Username

When set, the password is not allowed to be the same as the username.

boolean format: boolean
special_characters
Special Characters

The number of special characters like ’?!#%$’ required to be in the password string.

integer format: int64
uppercase_characters
Uppercase Characters

The number of upper case letters required to be in the password string.

integer format: int64
brute_force_detection
object
max_login_failures
Max Login Failures

How many failures before wait is triggered. When login failure count is hit, user will be temporarily locked for a max duration of 15 minutes.

integer format: int64
tenant_details
object
display_name
Display Name

Tenant display name in the login screen.

string
<= 255 characters
user_session_expiration
object
absolute_timeout
object
hours
object
duration
Duration

Required: YES.

integer format: int64
minutes
object
duration
Duration

Required: YES.

integer format: int64
idle_timeout
object
hours
object
duration
Duration

Required: YES.

integer format: int64
minutes
object
duration
Duration

Required: YES.

integer format: int64
Examplegenerated
{
"basic_configuration": {
"display_name": "example"
},
"brute_force_detection_settings": {
"max_login_failures": 1
},
"password_policy": {
"digits": 1,
"expire_password": 1,
"lowercase_characters": 1,
"minimum_length": 1,
"not_recently_used": 1,
"not_username": true,
"special_characters": 1,
"uppercase_characters": 1
},
"brute_force_detection": {
"max_login_failures": 1
},
"tenant_details": {
"display_name": "example"
},
"user_session_expiration": {
"absolute_timeout": {
"hours": {
"duration": 1
},
"minutes": {
"duration": 1
}
},
"idle_timeout": {
"hours": {
"duration": 1
},
"minutes": {
"duration": 1
}
}
}
}

A successful response.

Media typeapplication/json
Empty

This can be used for messages where no values are needed.

object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example